## gimppalettes gimppalettes |

## Functions

gboolean | gimp_palettes_refresh ()
gchar ** | gimp_palettes_get_list ()
gchar * | gimp_palettes_get_palette ()
gboolean | gimp_palettes_set_palette ()
gchar * | gimp_palettes_get_palette_entry ()

## Description

## Functions

### gimp_palettes_refresh ()

    gboolean
    gimp_palettes_refresh (void);

### gimp_palettes_get_list ()

    gchar **
    gimp_palettes_get_list (const gchar *filter,
                            gint *num_palettes);

### gimp_palettes_get_palette ()

    gchar *
    gimp_palettes_get_palette (gint *num_colors);

`gimp_palettes_get_palette` is deprecated and should not be used in newly-written code.

Use `gimp_context_get_palette()` instead.

### gimp_palettes_set_palette ()

    gboolean
    gimp_palettes_set_palette (const gchar *name);

`gimp_palettes_set_palette` is deprecated and should not be used in newly-written code.

### gimp_palettes_get_palette_entry ()

    gchar *
    gimp_palettes_get_palette_entry (const gchar *name,
                                     gint entry_num,
                                     gint *num_colors,
                                     GimpRGB *color);

`gimp_palettes_get_palette_entry` is deprecated and should not be used in newly-written code.

Use `gimp_palette_entry_get_color()` instead.

## Types and Values